package com.gradgoose.nameninja;

import androidx.annotation.DrawableRes;

import org.jetbrains.annotations.Contract;
import org.jetbrains.annotations.NotNull;

public class People {
    static class Person { 
        String name; 
        @DrawableRes int photo; 
        Person (String name, @DrawableRes int photo) { 
            this.name = name; 
            this.photo = photo; 
        }
        @Override public boolean equals (Object other) { 
            if (other instanceof Person) {
                Person otherPerson = (Person) other; 
                return name.equals (otherPerson.name) && photo == otherPerson.photo; 
            } else return false; 
        }
    }
    
    static Person getPerson (@NotNull String chromosome, int index) { 
        String xy = chromosome.toLowerCase ().trim (); 
        if (xy.equals ("x")) 
            return girls [index]; 
        if (xy.equals ("y")) 
            return boys [index]; 
        throw new IllegalArgumentException ("Must pass 'x' or 'y' for chromosome (girl or boy)"); 
    } 
    static int count (@NotNull String chromosome) { 
        String xy = chromosome.toLowerCase ().trim (); 
        if (xy.equals ("x")) 
            return girls.length; 
        if (xy.equals ("y")) 
            return boys.length;
        throw new IllegalArgumentException ("Must pass 'x' or 'y' for chromosome (girl or boy)");
    }
    
    private static Person [] girls = new Person [] {
            new Person ("Isabella", R.drawable.x0001),
            new Person ("Celeste", R.drawable.x0002),
            new Person ("Olivia", R.drawable.x0003),
            new Person ("Emily", R.drawable.x0004),
            new Person ("Breanna", R.drawable.x0005),
            new Person ("Lilly", R.drawable.x0006),
            new Person ("Madelyn", R.drawable.x0007),
            new Person ("Sophie", R.drawable.x0008),
            new Person ("Harmony", R.drawable.x0009),
            new Person ("Haylee", R.drawable.x0010),
            new Person ("Emma", R.drawable.x0011),
            new Person ("Samantha", R.drawable.x0012),
            new Person ("Sadie", R.drawable.x0013),
            new Person ("Sophia", R.drawable.x0014),
            new Person ("Grace", R.drawable.x0015),
            new Person ("Natalya", R.drawable.x0016),
            new Person ("Amanda", R.drawable.x0017),
            new Person ("Joanna", R.drawable.x0018),
            new Person ("Amelie", R.drawable.x0019),
            new Person ("Savannah", R.drawable.x0020),
            new Person ("Shania", R.drawable.x0021),
            new Person ("Anaya", R.drawable.x0022),
            new Person ("Emma", R.drawable.x0023),
            new Person ("Avery", R.drawable.x0024),
            new Person ("Kayla", R.drawable.x0025),
            new Person ("Shelby", R.drawable.x0026),
            new Person ("Diamond", R.drawable.x0027),
            new Person ("Jane", R.drawable.x0028),
            new Person ("Natalie", R.drawable.x0029),
            new Person ("Emily", R.drawable.x0030),
            new Person ("Kyla", R.drawable.x0031),
            new Person ("Samantha", R.drawable.x0032),
            new Person ("Zoe", R.drawable.x0033),
            new Person ("Elizabeth", R.drawable.x0034),
            new Person ("Jenna", R.drawable.x0035),
            new Person ("Haylee", R.drawable.x0036),
            new Person ("Nadia", R.drawable.x0037),
            new Person ("Shelby", R.drawable.x0038),
            new Person ("Madison", R.drawable.x0039),
            new Person ("Payton", R.drawable.x0040),
            new Person ("Kailey", R.drawable.x0041),
            new Person ("Isabel", R.drawable.x0042),
            new Person ("Jayden", R.drawable.x0043),
            new Person ("Carson", R.drawable.x0044),
            new Person ("Abby", R.drawable.x0045),
            new Person ("Elisabeth", R.drawable.x0046),
            new Person ("Grace", R.drawable.x0047),
            new Person ("Mckayla", R.drawable.x0048),
            new Person ("Logan", R.drawable.x0049),
            new Person ("Mary", R.drawable.x0050),
            new Person ("Yaritza", R.drawable.x0051),
            new Person ("Kimberly", R.drawable.x0052),
            new Person ("Kylie", R.drawable.x0053),
            new Person ("Katelyn", R.drawable.x0054),
            new Person ("Crystal", R.drawable.x0055),
            new Person ("Cecilia", R.drawable.x0056),
            new Person ("Jacqueline", R.drawable.x0057),
            new Person ("Karley", R.drawable.x0058),
            new Person ("Alexia", R.drawable.x0059),
            new Person ("Kasandra", R.drawable.x0060),
            new Person ("Kimberly", R.drawable.x0061),
            new Person ("Lillian", R.drawable.x0062),
            new Person ("Taylor", R.drawable.x0063),
            new Person ("Kayla", R.drawable.x0064),
            new Person ("Lily", R.drawable.x0065),
            new Person ("Jessica", R.drawable.x0066),
            new Person ("Ashlyn", R.drawable.x0067),
            new Person ("Mary", R.drawable.x0068),
            new Person ("Michaela", R.drawable.x0069),
            new Person ("Kendra", R.drawable.x0070),
            new Person ("Robyn", R.drawable.x0071),
            new Person ("Olivia", R.drawable.x0072),
            new Person ("Jaylin", R.drawable.x0073),
            new Person ("Chasity", R.drawable.x0074),
            new Person ("Kelly", R.drawable.x0075),
            new Person ("Taylor", R.drawable.x0076),
            new Person ("Mackenzie", R.drawable.x0077),
            new Person ("Taya", R.drawable.x0078),
            new Person ("Emma", R.drawable.x0079),
            new Person ("Jennifer", R.drawable.x0080),
            new Person ("Alyssa", R.drawable.x0081),
            new Person ("Michelle", R.drawable.x0082),
            new Person ("Mariana", R.drawable.x0083),
            new Person ("Molly", R.drawable.x0084),
            new Person ("Kendall", R.drawable.x0085),
            new Person ("Regan", R.drawable.x0086),
            new Person ("Mya", R.drawable.x0087),
            new Person ("Chloe", R.drawable.x0088),
            new Person ("Irene", R.drawable.x0089),
            new Person ("Sarah", R.drawable.x0090),
            new Person ("Kathryn", R.drawable.x0091),
            new Person ("Sara", R.drawable.x0092),
            new Person ("Jalynn", R.drawable.x0093),
            new Person ("Carly", R.drawable.x0094),
            new Person ("Madalynn", R.drawable.x0095),
            new Person ("Carla", R.drawable.x0096),
            new Person ("Samantha", R.drawable.x0097),
            new Person ("Valeria", R.drawable.x0098),
            new Person ("Alaina", R.drawable.x0099),
            new Person ("Makayla", R.drawable.x0100),
            new Person ("Claire", R.drawable.x0101),
            new Person ("Amya", R.drawable.x0102),
            new Person ("Sasha", R.drawable.x0103),
            new Person ("Samantha", R.drawable.x0104),
            new Person ("Kylee", R.drawable.x0105),
            new Person ("Skyler", R.drawable.x0106),
            new Person ("Haley", R.drawable.x0107),
            new Person ("Addison", R.drawable.x0108),
            new Person ("Gracie", R.drawable.x0109),
            new Person ("Tiffany", R.drawable.x0110),
            new Person ("Amy", R.drawable.x0111),
            new Person ("Pamela", R.drawable.x0112),
            new Person ("Frances", R.drawable.x0113),
            new Person ("Cassandra", R.drawable.x0114),
            new Person ("Chelsea", R.drawable.x0115),
            new Person ("Kaitlyn", R.drawable.x0116),
            new Person ("Faith", R.drawable.x0117),
            new Person ("Tyler", R.drawable.x0118),
            new Person ("Melanie", R.drawable.x0119),
            new Person ("Camilla", R.drawable.x0120),
            new Person ("Angie", R.drawable.x0121),
            new Person ("Sienna", R.drawable.x0122),
            new Person ("Elizabeth", R.drawable.x0123),
            new Person ("Ariel", R.drawable.x0124),
            new Person ("Jaida", R.drawable.x0125),
            new Person ("Jocelyn", R.drawable.x0126),
            new Person ("Kelly", R.drawable.x0127),
            new Person ("Shaniya", R.drawable.x0128),
            new Person ("Avery", R.drawable.x0129),
            new Person ("Joanna", R.drawable.x0130),
            new Person ("Evelin", R.drawable.x0131),
            new Person ("Alexandra", R.drawable.x0132),
            new Person ("Alyssa", R.drawable.x0133),
            new Person ("Asia", R.drawable.x0134),
            new Person ("Leila", R.drawable.x0135),
            new Person ("Shayla", R.drawable.x0136),
            new Person ("Fernanda", R.drawable.x0137),
            new Person ("Raquel", R.drawable.x0138),
            new Person ("Autumn", R.drawable.x0139),
            new Person ("Alyssa", R.drawable.x0140),
    }; 
    private static Person [] boys = new Person [] {
            new Person ("Connor", R.drawable.y0001),
            new Person ("Jackson", R.drawable.y0002),
            new Person ("Ryan", R.drawable.y0003),
            new Person ("James", R.drawable.y0004),
            new Person ("Brian", R.drawable.y0005),
            new Person ("Jeremiah", R.drawable.y0006),
            new Person ("Christopher", R.drawable.y0007),
            new Person ("Drew", R.drawable.y0008),
            new Person ("James", R.drawable.y0009),
            new Person ("Darrell", R.drawable.y0010),
            new Person ("Preston", R.drawable.y0011),
            new Person ("Owen", R.drawable.y0012),
            new Person ("Jacob", R.drawable.y0013),
            new Person ("James", R.drawable.y0014),
            new Person ("Anderson", R.drawable.y0015),
            new Person ("Chase", R.drawable.y0016),
            new Person ("Diego", R.drawable.y0017),
            new Person ("James", R.drawable.y0018),
            new Person ("Gavin", R.drawable.y0019),
            new Person ("Pablo", R.drawable.y0020),
            new Person ("Jeremiah", R.drawable.y0021),
            new Person ("Jackson", R.drawable.y0022),
            new Person ("Nathan", R.drawable.y0023),
            new Person ("Timothy", R.drawable.y0024),
            new Person ("Jackson", R.drawable.y0025),
            new Person ("Samuel", R.drawable.y0026),
            new Person ("Andrew", R.drawable.y0027),
            new Person ("Dawson", R.drawable.y0028),
            new Person ("Collin", R.drawable.y0029),
            new Person ("Micheal", R.drawable.y0030),
            new Person ("Matthew", R.drawable.y0031),
            new Person ("Joseph", R.drawable.y0032),
            new Person ("Avery", R.drawable.y0033),
            new Person ("Tyler", R.drawable.y0034),
            new Person ("Damien", R.drawable.y0035),
            new Person ("Cameron", R.drawable.y0036),
            new Person ("Christopher", R.drawable.y0037),
            new Person ("Rafael", R.drawable.y0038),
            new Person ("Robert", R.drawable.y0039),
            new Person ("Zachary", R.drawable.y0040),
            new Person ("Robert", R.drawable.y0041),
            new Person ("Johnny", R.drawable.y0042),
            new Person ("Jordan", R.drawable.y0043),
            new Person ("Osvaldo", R.drawable.y0044),
            new Person ("Landon", R.drawable.y0045),
            new Person ("Ezequiel", R.drawable.y0046),
            new Person ("Gabriel", R.drawable.y0047),
            new Person ("Joseph", R.drawable.y0048),
            new Person ("Ethan", R.drawable.y0049),
            new Person ("Jacob", R.drawable.y0050),
            new Person ("Christian", R.drawable.y0051),
            new Person ("Anthony", R.drawable.y0052),
            new Person ("Isaiah", R.drawable.y0053),
            new Person ("Christopher", R.drawable.y0054),
            new Person ("David", R.drawable.y0055),
            new Person ("Ethan", R.drawable.y0056),
            new Person ("Andy", R.drawable.y0057),
            new Person ("Brendan", R.drawable.y0058),
            new Person ("Michael", R.drawable.y0059),
            new Person ("Joseph", R.drawable.y0060),
            new Person ("Daniel", R.drawable.y0061),
            new Person ("Rogelio", R.drawable.y0062),
            new Person ("Trevor", R.drawable.y0063),
            new Person ("Andres", R.drawable.y0064),
            new Person ("Joshua", R.drawable.y0065),
            new Person ("Trent", R.drawable.y0066),
            new Person ("Juan", R.drawable.y0067),
            new Person ("Cody", R.drawable.y0068),
            new Person ("Elijah", R.drawable.y0069),
            new Person ("Scott", R.drawable.y0070),
            new Person ("Isaac", R.drawable.y0071),
            new Person ("James", R.drawable.y0072),
            new Person ("James", R.drawable.y0073),
            new Person ("Camron", R.drawable.y0074),
            new Person ("Ethan", R.drawable.y0075),
            new Person ("Kane", R.drawable.y0076),
            new Person ("John", R.drawable.y0077),
            new Person ("Joshua", R.drawable.y0078),
            new Person ("Ruben", R.drawable.y0079),
            new Person ("Nathan", R.drawable.y0080),
            new Person ("Richard", R.drawable.y0081),
            new Person ("Julian", R.drawable.y0082),
            new Person ("Jaden", R.drawable.y0083),
            new Person ("Samuel", R.drawable.y0084),
            new Person ("David", R.drawable.y0085),
            new Person ("Dylan", R.drawable.y0086),
            new Person ("Adam", R.drawable.y0087),
            new Person ("Jeffrey", R.drawable.y0088),
            new Person ("Jacob", R.drawable.y0089),
            new Person ("Caleb", R.drawable.y0090),
            new Person ("Joshua", R.drawable.y0091),
            new Person ("Yosef", R.drawable.y0092),
            new Person ("Marco", R.drawable.y0093),
            new Person ("Mason", R.drawable.y0094),
            new Person ("Calvin", R.drawable.y0095),
            new Person ("Quentin", R.drawable.y0096),
            new Person ("Devin", R.drawable.y0097),
            new Person ("Avery", R.drawable.y0098),
            new Person ("Seth", R.drawable.y0099),
            new Person ("Jonah", R.drawable.y0100),
            new Person ("Conner", R.drawable.y0101),
            new Person ("Jackson", R.drawable.y0102),
            new Person ("Greyson", R.drawable.y0103),
            new Person ("Donald", R.drawable.y0104),
            new Person ("Brendon", R.drawable.y0105),
            new Person ("Tristan", R.drawable.y0106),
            new Person ("Jacob", R.drawable.y0107),
            new Person ("Antonio", R.drawable.y0108),
            new Person ("Amarion", R.drawable.y0109),
            new Person ("Emilio", R.drawable.y0110),
            new Person ("Oscar", R.drawable.y0111),
            new Person ("Landon", R.drawable.y0112),
            new Person ("Daniel", R.drawable.y0113),
            new Person ("Brian", R.drawable.y0114),
            new Person ("James", R.drawable.y0115),
            new Person ("Gavin", R.drawable.y0116),
            new Person ("Jamar", R.drawable.y0117),
            new Person ("Sean", R.drawable.y0118),
            new Person ("Christian", R.drawable.y0119),
            new Person ("Raymundo", R.drawable.y0120),
            new Person ("Bryce", R.drawable.y0121),
            new Person ("Noah", R.drawable.y0122),
            new Person ("Dawson", R.drawable.y0123),
            new Person ("Ramon", R.drawable.y0124),
            new Person ("Thomas", R.drawable.y0125),
            new Person ("Jordan", R.drawable.y0126),
            new Person ("David", R.drawable.y0127),
            new Person ("Logan", R.drawable.y0128),
            new Person ("Trey", R.drawable.y0129),
            new Person ("Jordan", R.drawable.y0130),
            new Person ("Anthony", R.drawable.y0131),
            new Person ("Isaac", R.drawable.y0132),
            new Person ("German", R.drawable.y0133),
            new Person ("Blake", R.drawable.y0134),
            new Person ("Ethan", R.drawable.y0135),
            new Person ("Kyle", R.drawable.y0136),
            new Person ("Houston", R.drawable.y0137),
            new Person ("Bryce", R.drawable.y0138),
            new Person ("Michael", R.drawable.y0139),
            new Person ("Jose", R.drawable.y0140),
    }; 
}
